org.labkey.remoteapi.di

## Class BaseTransformCommand<ResponseType extends CommandResponse>

- java.lang.Object
- - org.labkey.remoteapi.Command<ResponseType>
  - - org.labkey.remoteapi.PostCommand<ResponseType>
    - - org.labkey.remoteapi.di.BaseTransformCommand<ResponseType>

- Direct Known Subclasses:
    ResetTransformStateCommand, RunTransformCommand, UpdateTransformConfigurationCommand

      public abstract class BaseTransformCommand<ResponseType extends CommandResponse>
      extends PostCommand<ResponseType>

  User: tgaluhn Date: 10/29/13

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.labkey.remoteapi.Command

      `Command.CommonParameters, Command.Response`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `_transformId`

    - ### Fields inherited from class org.labkey.remoteapi.Command

      `CONTENT_TYPE_JSON`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseTransformCommand(BaseTransformCommand source)`
    `BaseTransformCommand(java.lang.String controllerName, java.lang.String actionName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.json.simple.JSONObject` | `getJsonObject()` Returns the JSON object to post, or null if the JSON object has not yet been set.
    `java.lang.String` | `getTransformId()`
    `void` | `setTransformId(java.lang.String transformId)`

    - ### Methods inherited from class org.labkey.remoteapi.PostCommand

      `copy, createRequest, setJsonObject`

    - ### Methods inherited from class org.labkey.remoteapi.Command

      `_execute, createResponse, execute, getActionName, getActionUrl, getControllerName, getHttpRequest, getParameters, getParamValueAsString, getQueryString, getRequiredVersion, getTimeout, setParameters, setRequiredVersion, setTimeout`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _transformId

          protected java.lang.String _transformId

  - ### Constructor Detail

    - #### BaseTransformCommand

          public BaseTransformCommand(BaseTransformCommand source)

    - #### BaseTransformCommand

          public BaseTransformCommand(java.lang.String controllerName,
                                      java.lang.String actionName)

  - ### Method Detail

    - #### getTransformId

          public java.lang.String getTransformId()

    - #### setTransformId

          public void setTransformId(java.lang.String transformId)

    - #### getJsonObject

          public org.json.simple.JSONObject getJsonObject()

      Description copied from class: `PostCommand`
      Returns the JSON object to post, or null if the JSON object has not yet been set. Override this method to provide the JSON object dynamically.
      Overrides:
        `getJsonObject` in class `PostCommand<ResponseType extends CommandResponse>`
      Returns:
        The JSON object to post.